var $AdfSwipeToRevealUtils$$ = {$setUpSwipeActions$:function($component$$2376$$) {
  $AdfAssert$$.assert(null != $component$$2376$$);
  var $agent$$792_endFacetNode$$1_endFacetWidth$$ = $AdfAgent$$.$getAgent$(), $clientId$$495_endFacetSubId$$1_startFacetItems$$ = $component$$2376$$.$getClientId$(), $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$495_endFacetSubId$$1_startFacetItems$$, $AdfSwipeToRevealUtils$$.$_START_FACET$), $clientId$$495_endFacetSubId$$1_startFacetItems$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$495_endFacetSubId$$1_startFacetItems$$, $AdfSwipeToRevealUtils$$.$_END_FACET$), 
  $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ = $agent$$792_endFacetNode$$1_endFacetWidth$$.getElementById($endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$), $agent$$792_endFacetNode$$1_endFacetWidth$$ = $agent$$792_endFacetNode$$1_endFacetWidth$$.getElementById($clientId$$495_endFacetSubId$$1_startFacetItems$$);
  $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ && ($clientId$$495_endFacetSubId$$1_startFacetItems$$ = $AdfDomUtils$$.$getChildElements$($endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$.firstChild).length, $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ = $AdfSwipeToRevealUtils$$.$_getTotalFacetWidth$($endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$), "auto" == $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ && 
  ($endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ = $clientId$$495_endFacetSubId$$1_startFacetItems$$ * parseInt($AdfSwipeToRevealUtils$$.$_DEFAULT_ACTIONS_WIDTH$) + "px"), $component$$2376$$.$_minStartFacetWidth$ = $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$);
  $agent$$792_endFacetNode$$1_endFacetWidth$$ && ($endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ = $AdfDomUtils$$.$getChildElements$($agent$$792_endFacetNode$$1_endFacetWidth$$.firstChild).length, $agent$$792_endFacetNode$$1_endFacetWidth$$ = $AdfSwipeToRevealUtils$$.$_getTotalFacetWidth$($agent$$792_endFacetNode$$1_endFacetWidth$$), "auto" == $agent$$792_endFacetNode$$1_endFacetWidth$$ && ($agent$$792_endFacetNode$$1_endFacetWidth$$ = $endFacetItems_startFacetNode$$1_startFacetSubId$$1_startFacetWidth$$ * 
  parseInt($AdfSwipeToRevealUtils$$.$_DEFAULT_ACTIONS_WIDTH$) + "px"), $component$$2376$$.$_minEndFacetWidth$ = $agent$$792_endFacetNode$$1_endFacetWidth$$);
}};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.setUpSwipeActions", $AdfSwipeToRevealUtils$$.$setUpSwipeActions$);
$AdfSwipeToRevealUtils$$.$isSwipeEnabled$ = function $$AdfSwipeToRevealUtils$$$$isSwipeEnabled$$($component$$2377_startFacetNode$$2_startFacetSubId$$2$$) {
  $AdfAssert$$.assert(null != $component$$2377_startFacetNode$$2_startFacetSubId$$2$$);
  var $agent$$793_endFacetNode$$2$$ = $AdfAgent$$.$getAgent$(), $clientId$$496_endFacetSubId$$2$$ = $component$$2377_startFacetNode$$2_startFacetSubId$$2$$.$getClientId$();
  $component$$2377_startFacetNode$$2_startFacetSubId$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$496_endFacetSubId$$2$$, $AdfSwipeToRevealUtils$$.$_START_FACET$);
  $clientId$$496_endFacetSubId$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$496_endFacetSubId$$2$$, $AdfSwipeToRevealUtils$$.$_END_FACET$);
  $component$$2377_startFacetNode$$2_startFacetSubId$$2$$ = $agent$$793_endFacetNode$$2$$.getElementById($component$$2377_startFacetNode$$2_startFacetSubId$$2$$);
  $agent$$793_endFacetNode$$2$$ = $agent$$793_endFacetNode$$2$$.getElementById($clientId$$496_endFacetSubId$$2$$);
  return $component$$2377_startFacetNode$$2_startFacetSubId$$2$$ || $agent$$793_endFacetNode$$2$$;
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.isSwipeEnabled", $AdfSwipeToRevealUtils$$.$isSwipeEnabled$);
$AdfSwipeToRevealUtils$$.$startDrag$ = function $$AdfSwipeToRevealUtils$$$$startDrag$$($component$$2378$$, $domEvent$$96$$, $dragCallback$$1$$, $dropCallback$$3$$) {
  $AdfAssert$$.assert(null != $component$$2378$$);
  $AdfAssert$$.assert(null != $domEvent$$96$$);
  $AdfAssert$$.$assertObject$($component$$2378$$);
  $AdfAssert$$.$assertObject$($domEvent$$96$$);
  $AdfAssert$$.$assertFunction$($dragCallback$$1$$);
  $AdfAssert$$.$assertFunction$($dropCallback$$3$$);
  var $pos$$46$$ = $AdfAgent$$.$AGENT$.$getMousePosition$($domEvent$$96$$);
  $component$$2378$$.$_swipeContext$ = {$startPageX$:$pos$$46$$.x, $startPageY$:$pos$$46$$.y, $dragging$:!0};
  $AdfPage$$.$PAGE$.$startDrag$($domEvent$$96$$, $dragCallback$$1$$, $dropCallback$$3$$, void 0, !1);
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.startDrag", $AdfSwipeToRevealUtils$$.$startDrag$);
$AdfSwipeToRevealUtils$$.$recognizeDrag$ = function $$AdfSwipeToRevealUtils$$$$recognizeDrag$$($event$$345$$, $component$$2379$$, $rootElement$$170$$) {
  $AdfAssert$$.assert(null != $component$$2379$$);
  $AdfAssert$$.assert(null != $event$$345$$);
  var $newPageX$$2$$ = $event$$345$$.pageX, $newPageY$$2_touches$$5$$ = $event$$345$$.pageY;
  $event$$345$$.targetTouches && ($newPageY$$2_touches$$5$$ = $event$$345$$.targetTouches, $newPageX$$2$$ = $newPageY$$2_touches$$5$$[0].pageX, $newPageY$$2_touches$$5$$ = $newPageY$$2_touches$$5$$[0].pageY);
  if ($component$$2379$$.$_swipeContext$) {
    var $minDragOffset$$1$$ = $AdfAgent$$.$AGENT$.$isTouchFirstDevice$() ? 10 : 3;
    if (Math.abs($component$$2379$$.$_swipeContext$.$startPageX$ - $newPageX$$2$$) > $minDragOffset$$1$$ || Math.abs($component$$2379$$.$_swipeContext$.$startPageY$ - $newPageY$$2_touches$$5$$) > $minDragOffset$$1$$) {
      return $AdfLogger$$.$LOGGER$.fine("Drag recognized for:", $event$$345$$), $event$$345$$;
    }
    $AdfSwipeToRevealUtils$$.$tearDownSwipeActions$($component$$2379$$, $rootElement$$170$$);
  } else {
    $component$$2379$$.$_swipeContext$ = {$startPageX$:$newPageX$$2$$, $startPageY$:$newPageY$$2_touches$$5$$, $dragging$:!0};
  }
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.recognizeDrag", $AdfSwipeToRevealUtils$$.$recognizeDrag$);
$AdfSwipeToRevealUtils$$.$handleDrag$ = function $$AdfSwipeToRevealUtils$$$$handleDrag$$($component$$2380_defaultActionItem$$, $rootElement$$171$$, $deltaX$$43_transformX$$, $deltaY$$50_dragDirection$$) {
  $AdfAssert$$.assert(null != $component$$2380_defaultActionItem$$);
  $AdfAssert$$.assert(null != $rootElement$$171$$);
  $AdfAssert$$.$assertNumber$($deltaX$$43_transformX$$);
  $AdfAssert$$.$assertNumber$($deltaY$$50_dragDirection$$);
  var $outerContainer$$ = $rootElement$$171$$.firstChild;
  $deltaY$$50_dragDirection$$ = $AdfSwipeToRevealUtils$$.$_getDragDirection$($deltaX$$43_transformX$$, $deltaY$$50_dragDirection$$);
  var $agent$$795_startFacetNode$$3$$ = $AdfAgent$$.$getAgent$(), $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ = $component$$2380_defaultActionItem$$.$getClientId$(), $isRTL$$34$$ = $AdfPage$$.$PAGE$.$getLocaleContext$().$isRightToLeft$(), $swipeContext$$ = $component$$2380_defaultActionItem$$.$_swipeContext$;
  $AdfPage$$.$PAGE$.$getLookAndFeel$();
  if ($deltaY$$50_dragDirection$$ != $AdfSwipeToRevealUtils$$.$_DRAG_UP$ && $deltaY$$50_dragDirection$$ != $AdfSwipeToRevealUtils$$.$_DRAG_DOWN$) {
    var $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $AdfSwipeToRevealUtils$$.$_START_FACET$), $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $AdfSwipeToRevealUtils$$.$_END_FACET$), $isEndFacetDisplayed_xyzArr$$ = $outerContainer$$.style.transform.replace(/translate3d|px|\(|\)/gi, "").split(",");
    $deltaX$$43_transformX$$ = Number($isEndFacetDisplayed_xyzArr$$[0]) + $deltaX$$43_transformX$$;
    if (0 < Math.abs($deltaX$$43_transformX$$)) {
      $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ = $agent$$795_startFacetNode$$3$$.getElementById($clientId$$497_endFacetNode$$3_endFacetSubId$$3$$);
      $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$ = ($agent$$795_startFacetNode$$3$$ = $agent$$795_startFacetNode$$3$$.getElementById($facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$)) && "flex" == $agent$$795_startFacetNode$$3$$.style.display;
      $isEndFacetDisplayed_xyzArr$$ = $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ && "flex" == $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$.style.display;
      if ($deltaY$$50_dragDirection$$ == $AdfSwipeToRevealUtils$$.$_DRAG_LEFT$ && 0 > $deltaX$$43_transformX$$) {
        if (!$isRTL$$34$$ && $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$) {
          delete $swipeContext$$.$_dragging$;
          return;
        }
        if ($isRTL$$34$$ && $isEndFacetDisplayed_xyzArr$$) {
          delete $swipeContext$$.$_dragging$;
          return;
        }
      }
      if ($deltaY$$50_dragDirection$$ == $AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$ && 0 < $deltaX$$43_transformX$$) {
        if (!$isRTL$$34$$ && $isEndFacetDisplayed_xyzArr$$) {
          delete $swipeContext$$.$_dragging$;
          return;
        }
        if ($isRTL$$34$$ && $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$) {
          delete $swipeContext$$.$_dragging$;
          return;
        }
      }
      $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$ = $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ && "flex" == $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$.style.display ? $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ : $agent$$795_startFacetNode$$3$$;
      $AdfSwipeToRevealUtils$$.$_shouldTriggerDefaultAction$($component$$2380_defaultActionItem$$, $rootElement$$171$$, $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$) ? ($component$$2380_defaultActionItem$$ = $AdfSwipeToRevealUtils$$.$_getDefaultActionAndResize$($facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$, !0), $swipeContext$$.$_defaultActionItem$ = $component$$2380_defaultActionItem$$) : ($swipeContext$$.$_defaultActionItem$ && delete $swipeContext$$.$_defaultActionItem$, 
      $AdfSwipeToRevealUtils$$.$_getDefaultActionAndResize$($facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$, !1));
      $isRTL$$34$$ ? $deltaY$$50_dragDirection$$ == $AdfSwipeToRevealUtils$$.$_DRAG_LEFT$ ? $AdfSwipeToRevealUtils$$.$_handleDragRight$($agent$$795_startFacetNode$$3$$, $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $deltaX$$43_transformX$$) : $deltaY$$50_dragDirection$$ == $AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$ && $AdfSwipeToRevealUtils$$.$_handleDragLeft$($agent$$795_startFacetNode$$3$$, $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $deltaX$$43_transformX$$) : $deltaY$$50_dragDirection$$ == 
      $AdfSwipeToRevealUtils$$.$_DRAG_LEFT$ ? $AdfSwipeToRevealUtils$$.$_handleDragLeft$($agent$$795_startFacetNode$$3$$, $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $deltaX$$43_transformX$$) : $deltaY$$50_dragDirection$$ == $AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$ && $AdfSwipeToRevealUtils$$.$_handleDragRight$($agent$$795_startFacetNode$$3$$, $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$, $deltaX$$43_transformX$$);
      $facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$ = $agent$$795_startFacetNode$$3$$ && "flex" == $agent$$795_startFacetNode$$3$$.style.display;
      $isEndFacetDisplayed_xyzArr$$ = $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$ && "flex" == $clientId$$497_endFacetNode$$3_endFacetSubId$$3$$.style.display;
      if ($facetNode_isStartFacetDisplayed$$1_startFacetSubId$$3$$ || $isEndFacetDisplayed_xyzArr$$) {
        $outerContainer$$.style.transform = "translate3d(" + $deltaX$$43_transformX$$ + "px, 0px, 0px)";
      }
    }
  }
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.handleDrag", $AdfSwipeToRevealUtils$$.$handleDrag$);
$AdfSwipeToRevealUtils$$.$_handleDragLeft$ = function $$AdfSwipeToRevealUtils$$$$_handleDragLeft$$($startFacetNode$$4$$, $endFacetNode$$4$$, $transformX$$1$$) {
  $startFacetNode$$4$$ && "flex" == $startFacetNode$$4$$.style.display ? $startFacetNode$$4$$.style.width = "" + Math.abs($transformX$$1$$) + "px" : $endFacetNode$$4$$ && ($endFacetNode$$4$$.style.display = "flex", $endFacetNode$$4$$.style.width = "" + Math.abs($transformX$$1$$) + "px");
};
$AdfSwipeToRevealUtils$$.$_handleDragRight$ = function $$AdfSwipeToRevealUtils$$$$_handleDragRight$$($startFacetNode$$5$$, $endFacetNode$$5$$, $transformX$$2$$) {
  $endFacetNode$$5$$ && "flex" == $endFacetNode$$5$$.style.display ? $endFacetNode$$5$$.style.width = "" + Math.abs($transformX$$2$$) + "px" : $startFacetNode$$5$$ && ($startFacetNode$$5$$.style.display = "flex", $startFacetNode$$5$$.style.width = "" + Math.abs($transformX$$2$$) + "px", isStartFacetDisplayed = !0);
};
$AdfSwipeToRevealUtils$$.$handleDrop$ = function $$AdfSwipeToRevealUtils$$$$handleDrop$$($swipedComponent$$1$$, $rootElement$$172$$) {
  $AdfAssert$$.assert(null != $swipedComponent$$1$$);
  $AdfAssert$$.assert(null != $rootElement$$172$$);
  var $outerContainer$$1$$ = $rootElement$$172$$.firstChild, $clientId$$498_endFacetNode$$6_endFacetSubId$$4$$ = $swipedComponent$$1$$.$getClientId$(), $agent$$796_startFacetNode$$6$$ = $AdfAgent$$.$getAgent$(), $isRTL$$35$$ = $AdfPage$$.$PAGE$.$getLocaleContext$().$isRightToLeft$(), $listItemWidth_startFacetSubId$$4_swipeContext$$1$$ = $swipedComponent$$1$$.$_swipeContext$, $laf$$159$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  $AdfDomUtils$$.$addCSSClassName$($outerContainer$$1$$, $laf$$159$$.getStyleClass($AdfSwipeToRevealUtils$$.$_DROP_ANIMATION_CLASS$));
  $listItemWidth_startFacetSubId$$4_swipeContext$$1$$.$_defaultActionItem$ || ($listItemWidth_startFacetSubId$$4_swipeContext$$1$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$498_endFacetNode$$6_endFacetSubId$$4$$, $AdfSwipeToRevealUtils$$.$_START_FACET$), $clientId$$498_endFacetNode$$6_endFacetSubId$$4$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$498_endFacetNode$$6_endFacetSubId$$4$$, $AdfSwipeToRevealUtils$$.$_END_FACET$), $clientId$$498_endFacetNode$$6_endFacetSubId$$4$$ = $agent$$796_startFacetNode$$6$$.getElementById($clientId$$498_endFacetNode$$6_endFacetSubId$$4$$), 
  $agent$$796_startFacetNode$$6$$ = $agent$$796_startFacetNode$$6$$.getElementById($listItemWidth_startFacetSubId$$4_swipeContext$$1$$), $listItemWidth_startFacetSubId$$4_swipeContext$$1$$ = parseInt(window.getComputedStyle($rootElement$$172$$, null).getPropertyValue("width"), 10), $clientId$$498_endFacetNode$$6_endFacetSubId$$4$$ && "flex" == $clientId$$498_endFacetNode$$6_endFacetSubId$$4$$.style.display ? $AdfSwipeToRevealUtils$$.$_handleDropAnimation$($clientId$$498_endFacetNode$$6_endFacetSubId$$4$$, 
  $outerContainer$$1$$, $swipedComponent$$1$$.$_minEndFacetWidth$, $listItemWidth_startFacetSubId$$4_swipeContext$$1$$, !1, $isRTL$$35$$) : $agent$$796_startFacetNode$$6$$ && "flex" == $agent$$796_startFacetNode$$6$$.style.display && $AdfSwipeToRevealUtils$$.$_handleDropAnimation$($agent$$796_startFacetNode$$6$$, $outerContainer$$1$$, $swipedComponent$$1$$.$_minStartFacetWidth$, $listItemWidth_startFacetSubId$$4_swipeContext$$1$$, !0, $isRTL$$35$$));
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.handleDrop", $AdfSwipeToRevealUtils$$.$handleDrop$);
$AdfSwipeToRevealUtils$$.$_setDisplayOnTransition$ = function $$AdfSwipeToRevealUtils$$$$_setDisplayOnTransition$$($facetNode$$1$$) {
  $facetNode$$1$$.style.display = "none";
};
$AdfSwipeToRevealUtils$$.$_removeAnimationClasses$ = function $$AdfSwipeToRevealUtils$$$$_removeAnimationClasses$$($outerContainer$$2$$, $facetNode$$2$$) {
  var $laf$$160$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  $AdfDomUtils$$.$removeCSSClassName$($outerContainer$$2$$, $laf$$160$$.getStyleClass($AdfSwipeToRevealUtils$$.$_DROP_ANIMATION_CLASS$));
  $AdfDomUtils$$.$removeCSSClassName$($facetNode$$2$$, $laf$$160$$.getStyleClass($AdfSwipeToRevealUtils$$.$_DROP_ACTIONS_WIDTH_ANIMATION_CLASS$));
};
$AdfSwipeToRevealUtils$$.$_handleDropAnimation$ = function $$AdfSwipeToRevealUtils$$$$_handleDropAnimation$$($facetNode$$3$$, $outerContainer$$3$$, $minFacetWidthpx$$, $listItemWidth$$1$$, $isStart$$5$$, $isRTL$$36$$) {
  var $laf$$161_width$$54$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  $AdfDomUtils$$.$addCSSClassName$($facetNode$$3$$, $laf$$161_width$$54$$.getStyleClass($AdfSwipeToRevealUtils$$.$_DROP_ACTIONS_WIDTH_ANIMATION_CLASS$));
  var $laf$$161_width$$54$$ = parseInt($facetNode$$3$$.style.width, 10), $minFacetWidth$$ = parseInt($minFacetWidthpx$$, 10);
  if ($laf$$161_width$$54$$ >= $minFacetWidth$$ || $laf$$161_width$$54$$ >= .25 * $listItemWidth$$1$$) {
    $outerContainer$$3$$.style.transform = $isRTL$$36$$ ? $isStart$$5$$ ? "translate3d(" + -$minFacetWidth$$ + "px, 0px, 0px)" : "translate3d(" + $minFacetWidth$$ + "px, 0px, 0px)" : $isStart$$5$$ ? "translate3d(" + $minFacetWidth$$ + "px, 0px, 0px)" : "translate3d(" + -$minFacetWidth$$ + "px, 0px, 0px)", $facetNode$$3$$.style.width = $minFacetWidthpx$$;
  } else {
    $outerContainer$$3$$.style.transform = "translate3d(0px, 0px, 0px)";
    $facetNode$$3$$.style.width = $minFacetWidthpx$$;
    var $handler$$7$$ = function $$handler$$7$$$() {
      $AdfSwipeToRevealUtils$$.$_setDisplayOnTransition$($facetNode$$3$$);
      $AdfSwipeToRevealUtils$$.$_removeAnimationClasses$(this, $facetNode$$3$$);
      this.removeEventListener("transitionend", $handler$$7$$);
    };
    $outerContainer$$3$$.addEventListener("transitionend", $handler$$7$$);
  }
};
$AdfSwipeToRevealUtils$$.$handleDefaultAction$ = function $$AdfSwipeToRevealUtils$$$$handleDefaultAction$$($defaultAction$$11_swipeContext$$2_swipedComponent$$2$$) {
  $defaultAction$$11_swipeContext$$2_swipedComponent$$2$$ = $defaultAction$$11_swipeContext$$2_swipedComponent$$2$$.$_swipeContext$;
  null != $defaultAction$$11_swipeContext$$2_swipedComponent$$2$$.$_defaultActionItem$ && ($defaultAction$$11_swipeContext$$2_swipedComponent$$2$$ = $defaultAction$$11_swipeContext$$2_swipedComponent$$2$$.$_defaultActionItem$, $AdfActionEvent$$.$queue$($defaultAction$$11_swipeContext$$2_swipedComponent$$2$$, $defaultAction$$11_swipeContext$$2_swipedComponent$$2$$.getPartialSubmit()));
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.handleDefaultAction", $AdfSwipeToRevealUtils$$.$handleDefaultAction$);
$AdfSwipeToRevealUtils$$.$tearDownSwipeActions$ = function $$AdfSwipeToRevealUtils$$$$tearDownSwipeActions$$($component$$2381$$, $domElement$$624$$) {
  $AdfAssert$$.assert(null != $component$$2381$$);
  $AdfAssert$$.assert(null != $domElement$$624$$);
  delete $component$$2381$$.$_swipeContext$;
  $AdfSwipeToRevealUtils$$.$restoreListItemView$($component$$2381$$, $domElement$$624$$);
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.tearDownSwipeActions", $AdfSwipeToRevealUtils$$.$tearDownSwipeActions$);
$AdfSwipeToRevealUtils$$.$restoreListItemView$ = function $$AdfSwipeToRevealUtils$$$$restoreListItemView$$($component$$2382$$, $domElement$$625$$) {
  $AdfAssert$$.assert(null != $component$$2382$$);
  $AdfAssert$$.assert(null != $domElement$$625$$);
  var $agent$$797_endFacetNode$$7$$ = $AdfAgent$$.$getAgent$(), $clientId$$499_endFacetSubId$$5$$ = $component$$2382$$.$getClientId$(), $outerContainer$$4$$ = $domElement$$625$$.firstChild, $startFacetNode$$7_startFacetSubId$$5$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$499_endFacetSubId$$5$$, $AdfSwipeToRevealUtils$$.$_START_FACET$), $clientId$$499_endFacetSubId$$5$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$499_endFacetSubId$$5$$, $AdfSwipeToRevealUtils$$.$_END_FACET$), $startFacetNode$$7_startFacetSubId$$5$$ = 
  $agent$$797_endFacetNode$$7$$.getElementById($startFacetNode$$7_startFacetSubId$$5$$), $agent$$797_endFacetNode$$7$$ = $agent$$797_endFacetNode$$7$$.getElementById($clientId$$499_endFacetSubId$$5$$);
  "" != $outerContainer$$4$$.style.transform && ($outerContainer$$4$$.style.transform = "translate3d(0px, 0px, 0px)");
  $startFacetNode$$7_startFacetSubId$$5$$ && "none" != $startFacetNode$$7_startFacetSubId$$5$$.style.display && ($startFacetNode$$7_startFacetSubId$$5$$.style.display = "none");
  $agent$$797_endFacetNode$$7$$ && "none" != $agent$$797_endFacetNode$$7$$.style.display && ($agent$$797_endFacetNode$$7$$.style.display = "none");
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.restoreListItemView", $AdfSwipeToRevealUtils$$.$restoreListItemView$);
$AdfSwipeToRevealUtils$$.$isEventInFacet$ = function $$AdfSwipeToRevealUtils$$$$isEventInFacet$$($event$$347$$, $component$$2383$$) {
  $AdfAssert$$.assert(null != $event$$347$$);
  $AdfAssert$$.assert(null != $component$$2383$$);
  var $agent$$798$$ = $AdfAgent$$.$AGENT$, $clientId$$500_endFacetNode$$8_endFacetSubId$$6$$ = $component$$2383$$.$getClientId$(), $domEvent$$97$$ = $event$$347$$.$getNativeEvent$(), $startFacetNode$$8_startFacetSubId$$6$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$500_endFacetNode$$8_endFacetSubId$$6$$, $AdfSwipeToRevealUtils$$.$_START_FACET$), $clientId$$500_endFacetNode$$8_endFacetSubId$$6$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$500_endFacetNode$$8_endFacetSubId$$6$$, $AdfSwipeToRevealUtils$$.$_END_FACET$), 
  $startFacetNode$$8_startFacetSubId$$6$$ = $agent$$798$$.getElementById($startFacetNode$$8_startFacetSubId$$6$$), $clientId$$500_endFacetNode$$8_endFacetSubId$$6$$ = $agent$$798$$.getElementById($clientId$$500_endFacetNode$$8_endFacetSubId$$6$$), $isEventInFacet$$;
  $startFacetNode$$8_startFacetSubId$$6$$ && ($isEventInFacet$$ = $agent$$798$$.$isEventInElement$($domEvent$$97$$, $startFacetNode$$8_startFacetSubId$$6$$));
  !$isEventInFacet$$ && $clientId$$500_endFacetNode$$8_endFacetSubId$$6$$ && ($isEventInFacet$$ = $agent$$798$$.$isEventInElement$($domEvent$$97$$, $clientId$$500_endFacetNode$$8_endFacetSubId$$6$$));
  return $isEventInFacet$$;
};
$goog$exportSymbol$$("AdfSwipeToRevealUtils.isEventInFacet", $AdfSwipeToRevealUtils$$.$isEventInFacet$);
$AdfSwipeToRevealUtils$$.$_getTotalFacetWidth$ = function $$AdfSwipeToRevealUtils$$$$_getTotalFacetWidth$$($actions_facetNode$$4$$) {
  $actions_facetNode$$4$$ = $actions_facetNode$$4$$.firstChild.children;
  var $totalWidth$$3$$ = 0;
  for (i = 0;i < $actions_facetNode$$4$$.length;i++) {
    var $computedWidth$$2$$ = window.getComputedStyle($actions_facetNode$$4$$[i], null).getPropertyValue("width");
    if (!$computedWidth$$2$$ || "auto" == $computedWidth$$2$$) {
      return "auto";
    }
    $totalWidth$$3$$ += parseInt($computedWidth$$2$$, 10);
  }
  return "" + $totalWidth$$3$$ + "px";
};
$AdfSwipeToRevealUtils$$.$_getDragDirection$ = function $$AdfSwipeToRevealUtils$$$$_getDragDirection$$($deltaX$$44$$, $deltaY$$51$$) {
  var $deg$$ = 180 / 3.14 * Math.atan2($deltaY$$51$$, $deltaX$$44$$);
  if (Math.abs($deltaX$$44$$) > Math.abs($deltaY$$51$$) && 0 < $deltaX$$44$$) {
    return $AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$;
  }
  if (Math.abs($deltaX$$44$$) > Math.abs($deltaY$$51$$) && 0 > $deltaX$$44$$) {
    return $AdfSwipeToRevealUtils$$.$_DRAG_LEFT$;
  }
  if (Math.abs($deltaY$$51$$) > Math.abs($deltaX$$44$$) && 0 < $deltaY$$51$$) {
    return $AdfSwipeToRevealUtils$$.$_checkSwipeAngleTolerance$($deltaX$$44$$, $deg$$) || $AdfSwipeToRevealUtils$$.$_DRAG_UP$;
  }
  if (Math.abs($deltaY$$51$$) > Math.abs($deltaX$$44$$) && 0 > $deltaY$$51$$) {
    return $AdfSwipeToRevealUtils$$.$_checkSwipeAngleTolerance$($deltaX$$44$$, $deg$$) || $AdfSwipeToRevealUtils$$.$_DRAG_DOWN$;
  }
};
$AdfSwipeToRevealUtils$$.$_checkSwipeAngleTolerance$ = function $$AdfSwipeToRevealUtils$$$$_checkSwipeAngleTolerance$$($deltaX$$45$$, $deg$$1$$) {
  return 0 < $deltaX$$45$$ && Math.abs($deg$$1$$) < $AdfSwipeToRevealUtils$$.$_MAX_RESTRAINT$ ? $AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$ : 0 > $deltaX$$45$$ && Math.abs($deg$$1$$) > Number(180 - $AdfSwipeToRevealUtils$$.$_MAX_RESTRAINT$) ? $AdfSwipeToRevealUtils$$.$_DRAG_LEFT$ : null;
};
$AdfSwipeToRevealUtils$$.$_shouldTriggerDefaultAction$ = function $$AdfSwipeToRevealUtils$$$$_shouldTriggerDefaultAction$$($component$$2384_swipeContext$$3$$, $rootElement$$173$$, $facetNode$$5$$) {
  if (!$facetNode$$5$$) {
    return !1;
  }
  var $listItemWidth$$2_swipeThreshold$$ = 0, $listItemWidth$$2_swipeThreshold$$ = parseInt(window.getComputedStyle($rootElement$$173$$, null).getPropertyValue("width"), 10);
  $component$$2384_swipeContext$$3$$ = $component$$2384_swipeContext$$3$$.$_swipeContext$;
  $listItemWidth$$2_swipeThreshold$$ = 50 * $listItemWidth$$2_swipeThreshold$$ / 100;
  $component$$2384_swipeContext$$3$$.$swipeThreshold$ = $listItemWidth$$2_swipeThreshold$$;
  return parseInt($facetNode$$5$$.style.width) > $listItemWidth$$2_swipeThreshold$$ ? !0 : !1;
};
$AdfSwipeToRevealUtils$$.$_getDefaultActionAndResize$ = function $$AdfSwipeToRevealUtils$$$$_getDefaultActionAndResize$$($facetNode$$6$$, $resize$$) {
  if ($facetNode$$6$$) {
    var $actions$$1$$ = $facetNode$$6$$.firstChild.children, $defaultActionItem$$1$$;
    for (i = 0;i < $actions$$1$$.length;i++) {
      $AdfDomUtils$$.$containsCSSClassName$($actions$$1$$[i], $AdfSwipeToRevealUtils$$.$_DEFAULT_ACTION_TRIGGER_CLASS$) ? ($defaultActionItem$$1$$ && $AdfLogger$$.$LOGGER$.warning("Duplicate default item, one of the action item has already beenmarked as default.", $actions$$1$$[i]), $defaultActionItem$$1$$ = $actions$$1$$[i]) : $actions$$1$$[i].style.maxWidth = $resize$$ ? "0" : "100%";
    }
    $defaultActionItem$$1$$ && ($defaultActionItem$$1$$ = $AdfPage$$.$PAGE$.$findComponent$($defaultActionItem$$1$$.getElementsByTagName("A")[0].id));
    return $defaultActionItem$$1$$;
  }
};
$AdfSwipeToRevealUtils$$.$_START_FACET$ = "stFct";
$AdfSwipeToRevealUtils$$.$_END_FACET$ = "ndFct";
$AdfSwipeToRevealUtils$$.$_DRAG_LEFT$ = "left";
$AdfSwipeToRevealUtils$$.$_DRAG_RIGHT$ = "right";
$AdfSwipeToRevealUtils$$.$_DRAG_UP$ = "up";
$AdfSwipeToRevealUtils$$.$_DRAG_DOWN$ = "down";
$AdfSwipeToRevealUtils$$.$_DEFAULT_ACTION_TRIGGER_CLASS$ = "AFDefaultTrigger";
$AdfSwipeToRevealUtils$$.$_DEFAULT_ACTIONS_WIDTH$ = "75px";
$AdfSwipeToRevealUtils$$.$_MAX_RESTRAINT$ = 40;
$AdfSwipeToRevealUtils$$.$_DROP_ANIMATION_CLASS$ = "AFDropAnimation";
$AdfSwipeToRevealUtils$$.$_DROP_ACTIONS_WIDTH_ANIMATION_CLASS$ = "AFDropActionsWidthAnimation";
